Debian Bug report logs - #269329
RFP: open-xchange -- The Collaboration and Integration Enviroment

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Laszlo Boszormenyi <gcs@lsc.hu>

Date: Tue, 31 Aug 2004 22:33:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#269329; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Laszlo Boszormenyi <gcs@lsc.hu>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi <gcs@lsc.hu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: open-xchange -- The Collaboration and Integration Enviroment
Date: Tue, 31 Aug 2004 23:52:46 +0200
Package: wnpp
Severity: wishlist

* Package name    : open-xchange
  Version         : 0.7.0
  Upstream Author : devel@open-xchange.org
* URL             : http://mirror.open-xchange.org/ox/EN/community/
* License         : GPL v2
  Description     : The Collaboration and Integration Enviroment

Open-xchange(TM) is an collaboration and integration server enviroment
with a continuous right management for modules and objects.
The product is based on existing components like a web server,
mail server, directory server, database ...
.
There are several interfaces (like WebDAV/XML interfaces)
coming along with this software.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8.1
Locale: LANG=en_US, LC_CTYPE=hu_HU



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#269329; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 269329@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 269329@bugs.debian.org
Cc: gcs@lsc.hu
Subject: openexchange status?
Date: Fri, 21 Jan 2005 20:47:55 +0200
Hi,

There is no news nor updates on this ITP. Are you still working on it?



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#269329; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@panthera-systems.net:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 269329@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@panthera-systems.net>
To: 269329@bugs.debian.org
Subject: ping
Date: Wed, 09 Mar 2005 15:15:59 +0100
are you still working on the packaging of open-xchange?

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Information stored:
Bug#269329; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Laszlo Boszormenyi <gcs@lsc.hu>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #20 received at 269329-quiet@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi <gcs@lsc.hu>
To: Shachar Shemesh <debian@shemesh.biz>, Riku Voipio <riku.voipio@iki.fi>, Daniel Baumann <daniel.baumann@panthera-systems.net>
Cc: Matthew Palmer <mpalmer@debian.org>, debian-mentors@lists.debian.org, 269329-quiet@bugs.debian.org
Subject: Re: Open ITP without apparent work on it
Date: Wed, 16 Mar 2005 23:29:38 +0100
Hi Shachar, Matthew, Riku, Daniel,

On Wed, 2005-03-16 at 22:42 +1100, Matthew Palmer wrote:
> On Wed, Mar 16, 2005 at 12:53:15PM +0200, Shachar Shemesh wrote:
> > Bug #269329 is an ITP for Open Xchange - the Suse server gone GPL.
 Yes, the Open-Xchage code is GPL, but last year there was a (small)
chance as far as I can remember that it is going to be closed again, or
at least have a non-DFSG compatible license. Also, note that OX can not
be compiled without non-free 'libs' (ie jars).Thus OX should be in
contrib if it is packaged. Well, as I see source of JavaMail recently
released under the Java Research License, so I should look into it if
that helps in the case or not (ie compiling the source for ourself, do
a package and use it). It seems upstream is not going to use free
JavaMail implementations, see my mails and the replies in the past[1].
So a quick test with GNU JavaMail still gives a lot of compilation
problems (just an example):
[javac] /home/gcs/open-xchange-0.8.0-beta4/src/com/openexchange/webmail/folder/WebmailFolderUtilities.java:52:
        package com.sun.mail.imap does not exist
[javac] import com.sun.mail.imap.IMAPFolder;
[javac]                          ^

>  It's 
> > open since 31 Aug 2004, with a couple of people asking whether the 
> > original submitter is intending to release, but without any actual work 
> > done.
 You are _almost_ right. I am the original bug opener, but the package
is not yet ready because the above written things. On the other hand,
I had a terrible car accident, was in hospital for months (my scull
and some ribs broke, was in something like coma [deep sleeping as my
doctors say]). I am still not fully healed, but much better by now.

> > My question is this - if I package the software myself, can I just 
> > submit it and close the bug? Or is it considered rude to just close 
> > someone else's ITP?
 Yes, you can, at least I permit it to any of you as I am the original
bug submitter. Also, if the license issues can be solved (ie OX can be
ported to any of the free JavaMail implementations; but then the one
doing it should follow OX development and update the port on the long
run), then I would even sponsor the upload, as I am a Debian Developer.

> Make a note in the ITP that you are keenly interested in seeing Open Xchange
> in Debian, and offer to help the initial ITP filer in any way, noting that
> if you don't hear anything, you'll commence packaging it yourself.
 I am free to give away it; and hope the noted things can be solved. At
least OX remained open with the 0.8beta releases, but compilation issues
with free tools still should be done. I was far to finish it, and the
codebase changed a lot since then. :-|

>   If that
> doesn't get a response in a few days, just go ahead and do it.  ITPs are for
> trying to prevent duplication of effort, they aren't exclusive locks over
> the packaging of something.
 Agreed.

> Be prepared to help the original ITPer if they request it, but by the look
> of it Laszlo has moved on to other things, or is taking an extended holiday
> or something.
 Well, yes, it is something like an extended holiday. :( I am still on
my way to get back my life straight (get back my workplace, restart
studying for my second degree somewhen but more importantly to get
healed fully) as well.

> > I don't mind working on it, with the full risk of the original packager 
> > submitting a package before I manage to find a sponsore to mine etc.
 We can stay in contact if you want, and inform each other how things
are going.

> > What I don't want happening, though, is that I'll work on it, submit and 
> > package, and then be told that this package cannot go in because someone 
> > else owns the ITP.
 I emphasis that I would even sponsor your package upload if the
license/compilation things are solved and you have the package ready.

Regards,
Laszlo Boszormenyi aka GCS
[1]
http://www.open-xchange.org/pipermail/devel/2004-September/006511.html
http://www.open-xchange.org/pipermail/devel/2004-September/006521.html
http://www.open-xchange.org/pipermail/devel/2004-September/006456.html




Information stored:
Bug#269329; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Shachar Shemesh <debian@shemesh.biz>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #25 received at 269329-quiet@bugs.debian.org (full text, mbox):

From: Shachar Shemesh <debian@shemesh.biz>
To: Laszlo Boszormenyi <gcs@lsc.hu>
Cc: Riku Voipio <riku.voipio@iki.fi>, Daniel Baumann <daniel.baumann@panthera-systems.net>, Matthew Palmer <mpalmer@debian.org>, debian-mentors@lists.debian.org, 269329-quiet@bugs.debian.org
Subject: Re: Open ITP without apparent work on it
Date: Thu, 17 Mar 2005 09:53:00 +0200
Laszlo Boszormenyi wrote:

>Hi Shachar, Matthew, Riku, Daniel,
>
>On Wed, 2005-03-16 at 22:42 +1100, Matthew Palmer wrote:
>  
>
>>On Wed, Mar 16, 2005 at 12:53:15PM +0200, Shachar Shemesh wrote:
>>    
>>
>>>Bug #269329 is an ITP for Open Xchange - the Suse server gone GPL.
>>>      
>>>
> Yes, the Open-Xchage code is GPL, but last year there was a (small)
>chance as far as I can remember that it is going to be closed again, or
>at least have a non-DFSG compatible license.
>
The thing that prompted me to ask was this. I was in a conference a 
couple of days ago (HP Linux roadshow), and Suse's CTO was there. When 
he was asked about an exchange replacement he mentioned this, as well as 
all sorts of other solutions. When I talked to him after the conference, 
he said that Netline's opening up the code was a result of pressure from 
Novell. Whether that actually changes anything or not - I don't know.

> Also, note that OX can not
>be compiled without non-free 'libs' (ie jars).Thus OX should be in
>contrib if it is packaged. Well, as I see source of JavaMail recently
>released under the Java Research License, so I should look into it if
>that helps in the case or not (ie compiling the source for ourself, do
>a package and use it). It seems upstream is not going to use free
>JavaMail implementations, see my mails and the replies in the past[1].
>So a quick test with GNU JavaMail still gives a lot of compilation
>problems (just an example):
>[javac] /home/gcs/open-xchange-0.8.0-beta4/src/com/openexchange/webmail/folder/WebmailFolderUtilities.java:52:
>        package com.sun.mail.imap does not exist
>[javac] import com.sun.mail.imap.IMAPFolder;
>[javac]                          ^
>
>  
>
I'm afraid I created false expectations. That was not the intention. The 
order of things was "Hmm, let's see if it's in Debian", followed by 
"Maybe I can package it", followed by "It already has an ITP, but no 
>apparent< activity." I then wondered whether it's worth the time to 
look at it, or whether things were badly out of shape.

I'm afraid that people, probably out of sheer desire to see this package 
in, assume I'm further along the road than I really am. I assure you, 
had there been a package ready, the title would have said "RFS".

> You are _almost_ right.
>
Sorry about that. The subject of the thread better describes what I 
meant to say.

>On the other hand,
>I had a terrible car accident, was in hospital for months (my scull
>and some ribs broke, was in something like coma [deep sleeping as my
>doctors say]). I am still not fully healed, but much better by now.
>  
>
And may you have a complete and quick recovery. A friend of mine lost 
all short term memory after an accident for almost a month. Conversation 
would go "Where am I? In a hospital. What happened? You were in an 
accident. Can I have a mirror?", at which point the conversation would 
start over. After about a month of this, she said "This mirror looks 
familiar". She lost two semesters. One in which she didn't study because 
she was in the hospital, and another in which she did study, but was 
totally wiped from her memory. Her lesson - don't drive a motorcycle.

> Yes, you can, at least I permit it to any of you as I am the original
>bug submitter. Also, if the license issues can be solved (ie OX can be
>ported to any of the free JavaMail implementations; but then the one
>doing it should follow OX development and update the port on the long
>run), then I would even sponsor the upload, as I am a Debian Developer.
>  
>
I think I'll try to package it one was or the other. If it goes into 
contrib as a first stage, fine. If not, I'll put it on an unofficial 
site. All this assuming, of course, I scale the odds :-/

I do want the package in main, but I don't know how difficult it will be to:
1. Make sure it compiles with free build tools.
2. Get upstream to include this.

>I am free to give away it; and hope the noted things can be solved. At
>least OX remained open with the 0.8beta releases, but compilation issues
>with free tools still should be done. I was far to finish it, and the
>codebase changed a lot since then. :-|
>  
>
And you were further down along the road than I am now. Don't get your 
hopes too high. If I manage to get this rolling, I'll check in here again.

> Well, yes, it is something like an extended holiday. :( I am still on
>my way to get back my life straight (get back my workplace, restart
>studying for my second degree somewhen but more importantly to get
>healed fully) as well.
>  
>
Good luck with that. (In Hebrew, the parallel for "good luck" translates 
as "may you succeed", which I find more appropriate. Then again, I may 
have been conditioned).

>>>I don't mind working on it, with the full risk of the original packager 
>>>submitting a package before I manage to find a sponsore to mine etc.
>>>      
>>>
> We can stay in contact if you want, and inform each other how things
>are going.
>  
>
I think it's more appropriate to do that off list. I'll certainly keep 
you posted.

> I emphasis that I would even sponsor your package upload if the
>license/compilation things are solved and you have the package ready.
>
>Regards,
>Laszlo Boszormenyi aka GCS
>[1]
>http://www.open-xchange.org/pipermail/devel/2004-September/006511.html
>http://www.open-xchange.org/pipermail/devel/2004-September/006521.html
>http://www.open-xchange.org/pipermail/devel/2004-September/006456.html
>  
>
I have to say this does not seem very foreboding. It seems netline's' 
objection to using a free alternative is a technical one. Technical 
objections are, in my experience, the easiest to handle.

         Shachar

-- 
Shachar Shemesh
Lingnu Open Source Consulting ltd.
Have you backed up today's work? http://www.lingnu.com/backup.html




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#269329; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Wesley W. Terpstra" <terpstra@gkec.tu-darmstadt.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 269329@bugs.debian.org (full text, mbox):

From: "Wesley W. Terpstra" <terpstra@gkec.tu-darmstadt.de>
To: Laszlo Boszormenyi <gcs@lsc.hu>, 269329@bugs.debian.org
Subject: Open-Xchange
Date: Wed, 8 Jun 2005 17:43:30 +0200
Hi! Is there anything resembling a package for open-xchange?

I have no interest in the licensing issues, and would be happy with 
a package that has sharp edges.

-- 
Wesley W. Terpstra



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#269329; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Balint Reczey <balint_reczey@yahoo.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #35 received at 269329@bugs.debian.org (full text, mbox):

From: Balint Reczey <balint_reczey@yahoo.com>
To: 269329@bugs.debian.org
Subject: Progress... :-) Unofficial packages are ready
Date: Fri, 21 Oct 2005 00:10:21 +0100 (BST)
Hi!

I've packaged Open-Xchange.
You can gat info at:
http://www.open-xchange.org/oxwiki/OXDebianSargeFromPackage

I'm searching for sponsor to upload the stable version
to experimental.

The JavaMail licensing problem is solved, I provide
installer packages for it named libsunmail.

Cheers:
Balint


	
	
		
___________________________________________________________ 
Yahoo! Messenger - NEW crystal clear PC to PC calling worldwide with voicemail http://uk.messenger.yahoo.com



Owner recorded as Balint Reczey <balint_reczey@yahoo.com>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Balint Reczey <balint_reczey@yahoo.com>:
Bug#269329; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to mb@foo.b-dv.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Balint Reczey <balint_reczey@yahoo.com>. Full text and rfc822 format available.

Message #42 received at 269329@bugs.debian.org (full text, mbox):

From: mb@foo.b-dv.com
To: 269329@bugs.debian.org
Subject: I'd like to help
Date: Sat, 12 Aug 2006 10:40:48 +0200 (CEST)
Hi,

Not much happening with this package it seems.-

I'm an OX comercial partner and Java dev and would like to help with creating/maintaining this package. However, I don't have that much time to spare and this is my first try at getting involved with debian as a contributor.

So if there's something I can do to help, let me know - I'm getting sick of manually installing OX ;)

Regards, Martin
-



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#269329; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Balint Reczey <balint_reczey@yahoo.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #47 received at 269329@bugs.debian.org (full text, mbox):

From: Balint Reczey <balint_reczey@yahoo.com>
To: mb@foo.b-dv.com, 269329@bugs.debian.org
Subject: Re: Bug#269329: I'd like to help
Date: Sat, 12 Aug 2006 14:57:06 +0100 (BST)
Hi Martin,

There were a lot of progress since the last released packages, but
unfortunately OX Inc. have not solved the licensing problem of the
0.8.2 community edition till now. (Some files are included in the
all-in-one tgz but missing from the CC and th GPL licensed tgz-s, too.)
In that situation i can't release the package, but it is ready, you can
build it with svn-buildpackage.

If you are interested in helping, you can join the development on the
package maintenance portal:
http://alioth.debian.org/project/memberlist.php?group_id=30812
We use the svn repo here:
http://svn.debian.org/wsvn/pkg-openxchange

Cheers,
Balint

--- mb@foo.b-dv.com wrote:

> Hi,
> 
> Not much happening with this package it seems.-
> 
> I'm an OX comercial partner and Java dev and would like to help with
> creating/maintaining this package. However, I don't have that much
> time to spare and this is my first try at getting involved with
> debian as a contributor.
> 
> So if there's something I can do to help, let me know - I'm getting
> sick of manually installing OX ;)
> 
> Regards, Martin
> -
> 
> 



		
___________________________________________________________ 
Now you can scan emails quickly with a reading pane. Get the new Yahoo! Mail. http://uk.docs.yahoo.com/nowyoucan.html



Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Laszlo Boszormenyi <gcs@lsc.hu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 269329-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 269329-done@bugs.debian.org
Subject: WNPP bug closing
Date: Thu, 16 Aug 2007 11:59:27 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 269329
 stop

Further comments on the work done in the bug sent to
269329@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Sep 2007 07:26:19 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. (Sun, 16 Nov 2008 21:30:02 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. (Sun, 16 Nov 2008 21:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Balint Reczey <balint_reczey@yahoo.com>:
Bug#269329; Package wnpp. (Mon, 24 May 2010 19:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Balint Reczey <balint_reczey@yahoo.com>. (Mon, 24 May 2010 19:09:12 GMT) Full text and rfc822 format available.

Message #63 received at 269329@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 269329@bugs.debian.org
Cc: control@bugs.debian.org
Subject: open-xchange: changing back from ITP to RFP
Date: Mon, 24 May 2010 19:05:51 +0000
retitle 269329 RFP: open-xchange -- The Collaboration and Integration Enviroment
noowner 269329
thanks

Hi,

This is an automatic email to change the status of open-xchange back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 18 months.

If you are still interested in adopting open-xchange, please send a mail to
<control@bugs.debian.org> with:

 retitle 269329 ITP: open-xchange -- The Collaboration and Integration Enviroment
 owner 269329 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <269329@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team




Changed Bug title to 'RFP: open-xchange -- The Collaboration and Integration Enviroment' from 'ITP: open-xchange -- The Collaboration and Integration Enviroment' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:20:15 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Balint Reczey <balint_reczey@yahoo.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:20:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:09:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.